package com.jz.sms.channel.dto;

import com.jz.sms.config.ResponseCode;

import java.io.Serializable;

public class DmHubSendResponse implements Serializable {

    private static final long serialVersionUID = 1L;

    private String code;
    private String msg;

    public DmHubSendResponse() {

    }

    public DmHubSendResponse(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public DmHubSendResponse(ResponseCode responseCode) {
        this.code = responseCode.getCode();
        this.msg = responseCode.getMsg();
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
